## v4l-utils 0.8.3

=== debian/changelog ===
v4l-utils (0.8.3-1) unstable; urgency=low

  * New Upstream version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 10 Feb 2011 19:46:17 +0100

v4l-utils (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
  * Removed patches that got applied upstream
  * Keytable maps file got renamed upstream. Adjusted sed command line.
  * Updated copyright file
  * Use upstream manpage for ir-keytable

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 26 Jan 2011 22:35:38 +0100

v4l-utils (0.8.1-2) unstable; urgency=low

  [ Gregor Jasny ]
  * Add ir-keytable; install them into /lib/udev/rc_keymaps (Closes: #601279)
  * Cherry-picked new device table entries from upstream git

  [ Martin Pitt ]
  * debian/control: Add DM-Upload-Allowed flag, so that Gregor can upload by
    himself once he becomes an official DM.

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 12 Dec 2010 17:10:48 +0100

v4l-utils (0.8.1-1) unstable; urgency=low

  * New upstream version (Closes: #598969)
  * Bumped standards to version 3.9.1 (no changes needed)
  * Updated copyright file 

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 03 Oct 2010 16:26:40 +0200

v4l-utils (0.8.0-1) unstable; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format
  * Re-enable pristine-tar
  * Split utils package into command line and the Qt based qv4l2
    (Closes: #576422)
  * Update upstream URL

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 07 May 2010 20:48:34 +0200

v4l-utils (0.7.91-1) experimental; urgency=low

  * New upstream version
  * Reindent v4l-utils long description (Closes: #573598)
  * Add FAQ extry how to port applications to libv4l (Closes: #569607)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 12 Mar 2010 17:20:08 +0100

v4l-utils (0.7.90-1) experimental; urgency=low

  * New upstream version
  * Bumped standards to version 3.8.4 (no changes needed)
  * Updated uploaders field
  * Changed package source name changed to v4l-util
  * Updated copyright file to DEP-5 like syntax
  * Disable pristine tar until bz2 issue is resolved

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 28 Feb 2010 19:44:15 +0100

libv4l (0.6.4-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 18 Jan 2010 21:22:52 +0100

libv4l (0.6.3-1) unstable; urgency=low

  * New Upstream Version
  * Updated Debian copyright file

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 27 Oct 2009 13:33:01 +0000

libv4l (0.6.2-1) unstable; urgency=low

  * New Upstream Version
  * Updated upstream location

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 09 Oct 2009 14:19:54 +0000

libv4l (0.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 02 Sep 2009 17:19:14 +0200

libv4l (0.6.0-2) unstable; urgency=low

  * Add UID to SHM segment name and fallback to malloc (Closes: #542204)
  * Bumped standards to version 3.8.3 (no changes needed) 

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 19 Aug 2009 14:42:00 +0200

libv4l (0.6.0-1) unstable; urgency=low

  * New Upstream Version
  * Bumped standards to version 3.8.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 09 Jul 2009 22:21:22 +0200

libv4l (0.5.99-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 04 Jun 2009 09:48:44 +0200

libv4l (0.5.98-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 26 May 2009 19:56:21 +0200

libv4l (0.5.97-1) experimental; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 16 Apr 2009 13:04:41 +0200

libv4l (0.5.9-2) unstable; urgency=low

  * Updated debian/copyright file (now Lintian clean)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 14 Mar 2009 11:59:20 +0100

libv4l (0.5.9-1) unstable; urgency=low

  * New Upstream Version
  * Changed maintainers email address
  * Bumped standards to version 3.8.1 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 13 Mar 2009 20:22:46 +0100

libv4l (0.5.8-1) unstable; urgency=low

  [ Gregor Jasny ]
  * New Upstream Version

  [ Loic Minier ]
  * Drop Section: libs from binary packages and rely on the Source's Section,
    per lintian.
  * Expand descriptions slightly for consistency; thanks lintian again.

 -- Gregor Jasny <gjasny@web.de>  Sun, 11 Jan 2009 15:32:37 +0100

libv4l (0.5.7-2) unstable; urgency=low

  [ Gregor Jasny ]
  * Add .private suffix to Requires pkg-config field to
    avoid excessive library dependencies (Closes: #509031)

  [ Loic Minier ]
  * Let libv4l-dev suggest pkg-config (>= 0.18).

 -- Gregor Jasny <gjasny@web.de>  Wed, 17 Dec 2008 22:07:24 +0100

libv4l (0.5.7-1) unstable; urgency=low

  * New Upstream Version
    - Fixes a try_fmt handling bug with UVC cameras (Closes: #507280)

 -- Gregor Jasny <gjasny@web.de>  Wed, 03 Dec 2008 00:14:57 +0100

libv4l (0.5.6-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Sun, 23 Nov 2008 20:01:08 +0100

libv4l (0.5.4-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Mon, 17 Nov 2008 22:24:16 +0100

libv4l (0.5.3-1) unstable; urgency=low

  [ Gregor Jasny ]
  * New Upstream Version

  [ Loic Minier ]
  * Move .gbp.conf to debian/gbp.conf.

 -- Gregor Jasny <gjasny@web.de>  Mon, 27 Oct 2008 21:56:36 +0100

libv4l (0.5.2-1) unstable; urgency=low

  * New Upstream Version

 -- Gregor Jasny <gjasny@web.de>  Thu, 23 Oct 2008 22:17:56 +0200

libv4l (0.5.1-1) unstable; urgency=low

  * New Upstream Version
  * Removed quilt dependency as patch got merged upstream
  * Reenable static libs
  * Tightened kernel header version to >= 2.6.19 for frame format enumeration

 -- Gregor Jasny <gjasny@web.de>  Sun, 19 Oct 2008 00:16:28 +0200

libv4l (0.5.0-3) unstable; urgency=low

  [ Kees Cook ]
  * Rename lib* to lib*-0: the major ABI number should be reflected in the
    binary package names.

