## v4l-utils 0.8.5

=== debian/changelog ===
v4l-utils (0.8.5-6) unstable; urgency=low

  * Add bug report script
  * Disable fancy upsampling (Closes: #647273)
  * Add kFreeBSD support (Closes: #647508)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 11 Nov 2011 10:24:59 +0100

v4l-utils (0.8.5-5) unstable; urgency=low

  * Cherry picked more upside down table patches

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 28 Oct 2011 20:47:49 +0200

v4l-utils (0.8.5-4) unstable; urgency=low

  * Cherry picked some upside down table entries
  * Build separate libv4lconvert library package
  * Drop static libraries
  * Apply dpkg-buildflags for build
  * Tighten architecture to linux-any
  * Fix some Lintian issues

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 01 Oct 2011 17:00:24 +0200

v4l-utils (0.8.5-3) unstable; urgency=medium

  * Disable libjpeg for cross compiled 32bit packages (Closes: #636301)
    The libjpeg.so shipped by ia32-libs-dev does not match the current
    libjpeg-dev header version which leads to broken (M)JPEG support.

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 07 Aug 2011 14:09:04 +0200

v4l-utils (0.8.5-2) unstable; urgency=low

  * Add tinyjpeg quirk from upstream and add some more cameras

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 05 Aug 2011 17:51:03 +0200

v4l-utils (0.8.5-1) unstable; urgency=low

  * Add multiarch support
  * Imported Upstream version 0.8.5

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 20 Jul 2011 21:28:36 +0200

v4l-utils (0.8.4-3) unstable; urgency=low

  * Cherry picked upstream patches
  * Stop commenting entries in ir-keytable config file
    and prefix the individual files names with /lib/udev/rc_keymaps

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 09 Jul 2011 19:09:36 +0200

v4l-utils (0.8.4-2) unstable; urgency=low

  * Add missing get/set fps functions to symbol file

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 12 Jun 2011 19:17:10 +0200

v4l-utils (0.8.4-1) unstable; urgency=low

  * Imported Upstream version 0.8.4
  * Change VCS Browser URL due to alioth migration
  * Add libjpeg dependency
  * Bumped standards to version 3.9.2 (no changes needed)
  * Install qv4l2 desktop file and icons
  * Remove unnecessary dependency on libsysfs (Closes: #627652)
  * Generate Libs.private fields in pkgconfig files from already defined
    Makefile variables.
  * Updated copyright file

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 10 Jun 2011 21:03:52 +0200

v4l-utils (0.8.3-2) unstable; urgency=low

  * Add versioned conflict for ivtv-utils (Closes: #620684)
  * Fix description as linitian suggests
  * Raise debhelper compatibility level to 8

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 17 Apr 2011 17:39:35 +0200
