=== debian/control ===
--- 
+++ 
@@ -5,30 +5,29 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7),
-               libqt4-dev,
-               libsysfs-dev,
-               linux-libc-dev (>= 2.6.19),
+Build-Depends: debhelper (>= 8.1.3),
+               libjpeg-dev,
+               libqt4-dev [linux-any],
                gcc-multilib [amd64]
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libv4l.git
+Standards-Version: 3.9.2
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
 Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
 
 Package: libv4l-0
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
+Architecture: linux-any kfreebsd-any
+Depends: libv4lconvert0 (= ${binary:Version}),
+         ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
  easy for application writers to support a wide variety of devices without
  having to write separate code for different devices in the same class. libv4l
  consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
  .
  libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
  of the drivers for those devices supporting v4l1 compatibility (which many
@@ -39,10 +38,26 @@
  .
  This package contains the shared libraries.
 
+Package: libv4lconvert0
+Section: libs
+Architecture: linux-any kfreebsd-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libv4l-0 (<< 0.8.5-4)
+Replaces: libv4l-0 (<< 0.8.5-4)
+Multi-Arch: same
+Description: Video4linux frame format conversion library
+ libv4lconvert offers functions to convert from any (known) pixelformat
+ to BGR24, RGB24, YUV420 and YVU420.
+ .
+ This package contains the shared library.
+
 Package: libv4l-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: libv4l-0 (= ${binary:Version}),
+         libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: pkg-config (>= 0.18)
@@ -63,7 +78,7 @@
  libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
  application transparent libv4lconvert conversion where necessary.
  .
- This package contains development files (headers and static libraries).
+ This package contains the development files.
 
 Package: lib32v4l-0
 Section: libs
@@ -115,16 +130,16 @@
  libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
  application transparent libv4lconvert conversion where necessary.
  .
- This package contains the 32 bits version of the development files (headers
- and static libraries).
+ This package contains the 32 bits version of the development files.
 
 Package: v4l-utils
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: ivtv-utils
+Replaces: ivtv-utils (<< 1.4.1-2)
+Breaks: ivtv-utils (<< 1.4.1-2)
 Description: Collection of command line video4linux utilities
  v4l-utils contains the following video4linux command line utilities:
  .
@@ -136,7 +151,7 @@
 
 Package: qv4l2
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: libv4l-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -146,12 +161,12 @@
 
 Package: ir-keytable
 Section: utils
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: udev
 Description: Alter keymaps of Remote Controller devices
- This package allows to change the keymap of controller receivers.
+ This package allows one to change the keymap of controller receivers.
  Those receivers are found as infrared receivers on DVB sticks or on
  framegrabber cards. Via ir-keytable the mapping from a scancode to
  the generated event can be customized and made persistent.
