=== debian/changelog ===
v4l-utils (0.8.6-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch support

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 25 Feb 2012 12:32:02 -0800

v4l-utils (0.8.6-1) unstable; urgency=low

  * Imported Upstream version 0.8.6
    - Add support for libjpeg >= v7
    - Add new matching algorithm for upside down table (Closes: #639231)
    - Add some more laptop models to the upside down devices table
    - Retry with another frame on JPEG header decode errors
    - Improved JL2005BCD support
    - Set errno to EIO if getting 4 consecutive EAGAIN convert errors
    - Make software autowhitebalance converge faster
    - Add quirk support for forced tinyjpeg fallback

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 10 Feb 2012 21:25:42 +0100

v4l-utils (0.8.5-7) unstable; urgency=low

  * Add 90 degrees rotated JPEG quirk for 145f:013c

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 31 Dec 2011 16:30:32 +0100
