=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.1.3),
+Build-Depends: debhelper (>= 8),
                libjpeg-dev,
                libqt4-dev [linux-any],
                gcc-multilib [amd64]
@@ -20,8 +20,6 @@
 Depends: libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -43,10 +41,8 @@
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Breaks: libv4l-0 (<< 0.8.5-4)
 Replaces: libv4l-0 (<< 0.8.5-4)
-Multi-Arch: same
 Description: Video4linux frame format conversion library
  libv4lconvert offers functions to convert from any (known) pixelformat
  to BGR24, RGB24, YUV420 and YVU420.
