=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 V4L_COMMON_FLAGS += CPPFLAGS+="$(shell dpkg-buildflags --get CPPFLAGS)"
 V4L_COMMON_FLAGS += CFLAGS+="$(shell dpkg-buildflags --get CFLAGS)"
 V4L_COMMON_FLAGS += CXXFLAGS+="$(shell dpkg-buildflags --get CXXFLAGS)"
@@ -18,7 +17,7 @@
 
 # endif
 
-V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
+V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBCONVERTSUBDIR=libv4lconvert0
 V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep
