## v4l-utils 0.8.8

=== debian/changelog ===
v4l-utils (0.8.8-3) unstable; urgency=low

  * Mark libv4l-dev Multi-Arch: same (Closes: #678894)

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 25 Jun 2012 18:28:11 +0200

v4l-utils (0.8.8-2) unstable; urgency=low

  * Add patches from stable-0.8 branch  
    - Build fixes for GCC 4.7
    - Add 04f2:b169 USB ID to ASUS upside down table
    - Add Lenovo Thinkpad X220 Tablet to upside down table
  * Add sanyo and rc-5-sz protocol to ir-keytable (Closes: #675564)

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 06 Jun 2012 08:38:04 +0200

v4l-utils (0.8.8-1) unstable; urgency=low

  * Imported Upstream version 0.8.8
    - Revert Lenovo X201 upside down table entry (Closes: #667958)
    - libv4lconvert: Use bytesperline instead of width
    - libv4lconver: Add 06f8:301b pac7302 based cam to the quirk table
    - tinyjpeg: Better luminance quantization table for Pixart JPEG
    - tinyjpeg: Fix out of bounds array usage
  * Add DVB tools package

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 14 Apr 2012 19:42:06 +0200

v4l-utils (0.8.7-1) unstable; urgency=low

  * Imported Upstream version 0.8.7
    - libv4l2: Prevent GCC 4.7 inlining error (Closes: #667406)
    - qv4l2: fix segfault when there are no inputs or outputs
    - dvb: Merged DVB tools from development branch
    - Add some more laptop models to the upside down devices table

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 06 Apr 2012 20:24:03 +0200

v4l-utils (0.8.6-2) unstable; urgency=low

  * Add patches from stable-0.8 branch
    - Fix ir-keytable file parsing errors
    - Add ThinkPad X200 to upside down table
    - Add ThinkPad X201 to upside down table
    - Add ThinkPad Edge E325 to upside down table
  * Bumped standards to version 3.9.3 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 25 Mar 2012 23:12:26 +0200
