=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.1.3),
                libjpeg-dev,
                libqt4-dev [linux-any],
+               g++-multilib [amd64],
                gcc-multilib [amd64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
 Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
@@ -20,6 +21,8 @@
 Depends: libv4lconvert0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Collection of video4linux support libraries
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -41,8 +44,10 @@
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Breaks: libv4l-0 (<< 0.8.5-4)
 Replaces: libv4l-0 (<< 0.8.5-4)
+Multi-Arch: same
 Description: Video4linux frame format conversion library
  libv4lconvert offers functions to convert from any (known) pixelformat
  to BGR24, RGB24, YUV420 and YVU420.
@@ -57,6 +62,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: pkg-config (>= 0.18)
+Multi-Arch: same
 Description: Collection of video4linux support libraries (development files)
  libv4l is a collection of libraries which adds a thin abstraction layer on
  top of video4linux2 devices. The purpose of this (thin) layer is to make it
@@ -145,6 +151,30 @@
   v4l2-dbg: tool to directly get and set registers of v4l2 devices
   v4l2-sysfs-path: sysfs helper tool
 
+Package: dvb-tools
+Section: utils
+Architecture: linux-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Collection of command line DVB utilities
+ This is a series of tools written to help testing and working with DVB,
+ using its latest V5 API. The tools can also work with the DVBv3 API.
+ .
+ The current tools are:
+ .
+ dvb-fe-tool: a simple test application, that reads from the frontend.
+ it also allows one to change the default delivery system.
+ In the future, it may be used to change any property via command line.
+ .
+ dvb-format-convert: converts from zap and scan initial-tuning-data-file
+ into the new format defined to work with DVBv5.
+ .
+ dvbv5-scan: a DVBv5 scan tool.
+ .
+ dvbv5-zap: a DVBv5 zap tool. It allow to tune into a DVB channel, and
+ to watch to a DVB service (e. g. receiving the video and audio
+ streams, via another application using the dvr device).
+
 Package: qv4l2
 Section: utils
 Architecture: linux-any
