=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 V4L_COMMON_FLAGS += CPPFLAGS+="$(shell dpkg-buildflags --get CPPFLAGS)"
 V4L_COMMON_FLAGS += CFLAGS+="$(shell dpkg-buildflags --get CFLAGS)"
 V4L_COMMON_FLAGS += CXXFLAGS+="$(shell dpkg-buildflags --get CXXFLAGS)"
@@ -17,7 +18,7 @@
 
 # endif
 
-V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBCONVERTSUBDIR=libv4lconvert0
+V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
 V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep
@@ -66,8 +67,8 @@
 	dh_lintian -s
 	dh_installudev -s
 	dh_bugfiles -s
-	dh_installchangelogs -plibv4l-0 -pir-keytable -plibv4lconvert0 ChangeLog
-	dh_installdocs -plibv4l-0 -pir-keytable -plibv4lconvert0
+	dh_installchangelogs -plibv4l-0 -pir-keytable -plibv4lconvert0 -pdvb-tools ChangeLog
+	dh_installdocs -plibv4l-0 -pir-keytable -plibv4lconvert0 -pdvb-tools
 	dh_installman -s
 	dh_install -s --sourcedir=debian/tmp
 	dh_link -s
