=== debian/changelog ===
v4l-utils (0.8.9-4) unstable; urgency=low

  * Fix crashes found by Mayhem
  * Bumped standards to version 3.9.4 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 28 Jun 2013 22:29:07 +0200

v4l-utils (0.8.9-3) unstable; urgency=low

  * Added other active authors to copyright file
  * Add patch to use openat syscall on platforms that support it

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 20 Apr 2013 21:19:06 +0200

v4l-utils (0.8.9-2) unstable; urgency=low

  * Dropped deprecated DM-Upload-Allowed flag
  * Added Upstream Metadata file
  * Remove bashisms from bugreport helper script (Closes: #701548)
  * Add two upside down table entries from the upstream 0.8.x branch

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 17 Mar 2013 20:08:40 +0100

v4l-utils (0.8.9-1) unstable; urgency=low

  * Imported Upstream version 0.8.9
    - libv4lconvert: Various Pixart JPEG fixes
    - libv4lconvert: Add more notebooks to the upside down device table
    - keytable: Add support for Sanyo IR and RC-5-SZ protocol
    - keytable: Add missing buttons in shipped keytables (LP: #1054122)
    - v4l2-compliance, v4l-ctl, qv4l2: Sync with development branch
  * Drop 32bit cross compiled libraries

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 09 Oct 2012 18:38:05 +0200
