=== debian/control ===
--- 
+++ 
@@ -4,15 +4,12 @@
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Uploaders: Martin Pitt <mpitt@debian.org>,
            Loic Minier <lool@dooz.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.1.3),
                libjpeg-dev,
-               libqt4-dev [linux-any],
-               g++-multilib [amd64],
-               gcc-multilib [amd64]
-Standards-Version: 3.9.3
+               libqt4-dev [linux-any]
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libv4l.git
-Vcs-Git: git://git.debian.org/git/collab-maint/libv4l.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libv4l.git
 Homepage: http://linuxtv.org/downloads/v4l-utils/
 
 Package: libv4l-0
@@ -82,58 +79,6 @@
  .
  This package contains the development files.
 
-Package: lib32v4l-0
-Section: libs
-Architecture: amd64
-Depends: libv4l-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: Collection of video4linux support libraries (32 bits)
- libv4l is a collection of libraries which adds a thin abstraction layer on
- top of video4linux2 devices. The purpose of this (thin) layer is to make it
- easy for application writers to support a wide variety of devices without
- having to write separate code for different devices in the same class. libv4l
- consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
- .
- libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
- of the drivers for those devices supporting v4l1 compatibility (which many
- v4l2 drivers do not).
- .
- libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
- application transparent libv4lconvert conversion where necessary.
- .
- This package contains the 32 bits version of the shared libraries.
-
-Package: lib32v4l-dev
-Section: libdevel
-Architecture: amd64
-Depends: libv4l-0 (= ${binary:Version}),
-         lib32v4l-0 (= ${binary:Version}),
-         libv4l-dev (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: Collection of video4linux support libraries (32 bits development files)
- libv4l is a collection of libraries which adds a thin abstraction layer on
- top of video4linux2 devices. The purpose of this (thin) layer is to make it
- easy for application writers to support a wide variety of devices without
- having to write separate code for different devices in the same class. libv4l
- consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
- .
- libv4lconvert offers functions to convert from any (known) pixelformat
- to BGR24, RGB24, YUV420 and YVU420.
- .
- libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
- of the drivers for those devices supporting v4l1 compatibility (which many
- v4l2 drivers do not).
- .
- libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
- application transparent libv4lconvert conversion where necessary.
- .
- This package contains the 32 bits version of the development files.
-
 Package: v4l-utils
 Section: utils
 Architecture: linux-any
