=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 # endif
 
 V4L_NATIVE_FLAGS = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBCONVERTSUBDIR=libv4lconvert0
-V4L_32BIT_FLAGS  = $(V4L_COMMON_FLAGS) LIBDIR=/usr/lib32 CPPFLAGS+=-m32 LDFLAGS+=-m32 DISABLE_LIBJPEG=1 
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -42,13 +41,6 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# prefix filenames with /lib/udev/rc_keymaps
 	sed -i -e 's,^\([^#][[:graph:]]*[[:space:]]\+[[:graph:]]\+[[:space:]]\+\)\([[:graph:]]\+.*\),\1/lib/udev/rc_keymaps/\2,' -e 's,^\(#[[:space:]]\+\*[[:space:]]\+\*[[:space:]]\+\)\([[:alnum:]].*\),\1/lib/udev/rc_keymaps/\2,' $(CURDIR)/debian/tmp/etc/rc_maps.cfg
-endif
-ifeq ($(DEB_HOST_ARCH), amd64)
-	# clean object files
-	$(MAKE) clean
-	# build 32 bit shared libs and install
-	$(MAKE) -C lib $(V4L_32BIT_FLAGS)  
-	$(MAKE) -C lib $(V4L_32BIT_FLAGS) install
 endif
 	touch $@
